> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/introduction/purpose.md).

# Purpose

**Our Purpose**

1. Enable trading in CBDC(e₹)-Crypto pairs starting with billion Indians.
2. Non-custodial trading infrastructure for digital assets owned by a consumer.&#x20;
3. Liquid, reliable and lightning-fast markets.

The objective is to provide enterprises, platforms, new clients, and custodians with a clear path to part of CBDC(e₹)-Crypto ecosystem with seamless integration experience. This document will not only offer you with the whole list of API endpoints and connectivity options, but also with suggested implementations to assist you determine which parameters are most applicable to your use case. Trades can often be entered via our REST API or FIX Straight Through Processing (STP) interface.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/introduction/purpose.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
